# MysteryEncounterOptionSelectedPhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class MysteryEncounterOptionSelectedPhase

Will handle (in order):

- Execute MysteryEncounter.onOptionSelect logic if it exists for the selected option

It is important to point out that no phases are directly queued by any logic within this phase Any phase that is meant to follow this one MUST be queued via the onOptionSelect() logic of the selected option

#### Hierarchy (View Summary)

- Phase
  - MysteryEncounterOptionSelectedPhase

- Defined in src/phases/mystery-encounter-phases.ts:182

##### Index

### Constructors

constructor

### Properties

onOptionSelect

### Methods

end
start

## Constructors

### constructor

- new MysteryEncounterOptionSelectedPhase(): MysteryEncounterOptionSelectedPhase

  #### Returns MysteryEncounterOptionSelectedPhase

  Overrides Phase.constructor

  - Defined in src/phases/mystery-encounter-phases.ts:185

## Properties

### onOptionSelect

onOptionSelect: OptionPhaseCallback

- Defined in src/phases/mystery-encounter-phases.ts:183

## Methods

### end

- end(): void

  #### Returns void

  Inherited from Phase.end

  - Defined in src/phase.ts:6

### start

- start(): void

  Will handle (in order):

  - Execute MysteryEncounter.onOptionSelect logic if it exists for the selected option

  It is important to point out that no phases are directly queued by any logic within this phase. Any phase that is meant to follow this one MUST be queued via the MysteryEncounter.onOptionSelect logic of the selected option.

  #### Returns void

  Overrides Phase.start

  - Defined in src/phases/mystery-encounter-phases.ts:197